| Home | Libraries | People | FAQ | More

## Class duplicate_option_error

boost::program_options::duplicate_option_error

## Synopsis

    // In header: <boost/program_options/options_description.hpp>

    class duplicate_option_error : public boost::program_options::error {
    public:
      // construct/copy/destruct
      duplicate_option_error(const std::string &);
    };

## Description

Class thrown when duplicate option description is found.

### `duplicate_option_error` public construct/copy/destruct

1.     duplicate_option_error(const std::string & xwhat);